# PetscRandomSetFromOptions

Configures the random number generator from the options database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PETSC_DLLEXPORT PetscRandomSetFromOptions(PetscRandom rnd)

Collective on PetscRandom

### Input Parameter

rnd -The random number generator context

Notes: To see all options, run your program with the -help option, or consult the users manual. Must be called after PetscRandomCreate() but before the rnd is used.

### Keywords

PetscRandom, set, options, database

### See Also

PetscRandomCreate(), PetscRandomSetType()

Level:beginner
Location: src/sys/random/interface/random.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex11.c.html
src/ksp/ksp/examples/tutorials/ex2f.F.html
src/ksp/ksp/examples/tutorials/ex11f.F.html